#![allow(dead_code, mutable_transmutes, non_camel_case_types, non_snake_case, non_upper_case_globals, unused_assignments, unused_mut)]
#[no_mangle]
pub unsafe extern "C" fn foo() -> libc::c_int {
    let mut arr = [1, 2, 3];
    let mut acc = 0;
    let mut i = 0;
    while i < 3 as libc::c_int {
        acc += arr[i as usize];
        i += 1;
        i;
    }
    return acc;
}
#[no_mangle]
pub unsafe extern "C" fn baz(mut a: *mut libc::c_int) {
    *a += 1;
}
#[no_mangle]
pub unsafe extern "C" fn bar() {
    let mut a = 0;
    baz(&mut a);
}
unsafe fn main_0() -> libc::c_int {
    return 0;
}
pub fn main() {
    unsafe { ::std::process::exit(main_0() as i32) }
}
